Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.jboss.transaction
Class JBossArjunaTransactionManagerFactory

    java.lang.Object
      org.mule.module.jboss.transaction.JBossArjunaTransactionManagerFactory

All Implemented Interfaces:
  TransactionManagerFactory

    public class JBossArjunaTransactionManagerFactory

extends Object
implements TransactionManagerFactory

Constructor Summary
`JBossArjunaTransactionManagerFactory()`

Method Summary
`TransactionManager` | `create(MuleConfiguration config)` Creates of obtains the jta transaction manager to use for mule transactions
`Map<String,String>` | `getProperties()`
`void` | `setProperties(Map<String,String> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossArjunaTransactionManagerFactory

    public JBossArjunaTransactionManagerFactory()

Method Detail

### create

    public TransactionManager create(MuleConfiguration config)
                              throws Exception

  Description copied from interface: `TransactionManagerFactory`
  Creates of obtains the jta transaction manager to use for mule transactions

  Specified by:
    `create` in interface `TransactionManagerFactory`
  Parameters:
    `config` - Mule configuration parameters
  Returns:
    the transaction manager to use
  Throws:
    `Exception` - if the transaction manager cannot be located or created

### getProperties

    public Map<String,String> getProperties()

### setProperties

    public void setProperties(Map<String,String> properties)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.